net.sf.jasperreports.export

## Class SimpleHtmlReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.SimpleHtmlReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, HtmlReportConfiguration, ReportExportConfiguration

      public class SimpleHtmlReportConfiguration
      extends SimpleReportExportConfiguration
      implements HtmlReportConfiguration

  Version:
    $Id: SimpleHtmlExporterConfiguration.java 6718 2013-11-11 09:32:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.HtmlReportConfiguration

      `PROPERTY_ACCESSIBLE, PROPERTY_BORDER_COLLAPSE, PROPERTY_IGNORE_HYPERLINK, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS, PROPERTY_SIZE_UNIT, PROPERTY_WHITE_PAGE_BACKGROUND, PROPERTY_WRAP_BREAK_WORD`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleHtmlReportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBorderCollapse()` Provides the value for the `border-collapse` CSS property to be applied to the table generated for the report.
    `HtmlSizeUnitEnum` | `getSizeUnit()` Returns a String value specifying the unit to use when measuring lengths or font size.
    `java.lang.Float` | `getZoomRatio()` The zoom ratio used for the export.
    `java.lang.Boolean` | `isAccessibleHtml()` Configuration setting that determines the exporter to produce accessible HTML.
    `java.lang.Boolean` | `isIgnoreHyperlink()`
    `java.lang.Boolean` | `isIgnorePageMargins()` Indicates whether page margins should be ignored when the report is exported using a grid-based exporter If set to `true`, any page in the document will be exported without taking into account its margins.
    `java.lang.Boolean` | `isRemoveEmptySpaceBetweenRows()` Returns a boolean value specifying whether the blank lines, that sometimes appear between rows, should be deleted.
    `java.lang.Boolean` | `isWhitePageBackground()` Returns a boolean value specifying whether the report background should be white.
    `java.lang.Boolean` | `isWrapBreakWord()` Returns a boolean value specifying whether the export engine should use force wrapping by breaking words (CSS `word-wrap: break-word`).
    `void` | `setAccessibleHtml(java.lang.Boolean accessibleHtml)`
    `void` | `setBorderCollapse(java.lang.String borderCollapse)`
    `void` | `setIgnoreHyperlink(java.lang.Boolean isIgnoreHyperlink)`
    `void` | `setIgnorePageMargins(java.lang.Boolean isIgnorePageMargins)`
    `void` | `setRemoveEmptySpaceBetweenRows(java.lang.Boolean isRemoveEmptySpaceBetweenRows)`
    `void` | `setSizeUnit(HtmlSizeUnitEnum sizeUnit)`
    `void` | `setWhitePageBackground(java.lang.Boolean isWhitePageBackground)`
    `void` | `setWrapBreakWord(java.lang.Boolean isWrapBreakWord)`
    `void` | `setZoomRatio(java.lang.Float zoomRatio)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleHtmlReportConfiguration

          public SimpleHtmlReportConfiguration()

  - ### Method Detail

    - #### isRemoveEmptySpaceBetweenRows

          public java.lang.Boolean isRemoveEmptySpaceBetweenRows()

      Description copied from interface: `HtmlReportConfiguration`
      Returns a boolean value specifying whether the blank lines, that sometimes appear between rows, should be deleted. Sometimes page break occurs before the entire page is filled with data (i.e. having a group with the isStartNewPage attribute set to true). All the remaining empty space could be removed by setting this parameter to true.
      Specified by:
        `isRemoveEmptySpaceBetweenRows` in interface `HtmlReportConfiguration`
      See Also:
        `HtmlReportConfiguration.PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS`

    - #### setRemoveEmptySpaceBetweenRows

          public void setRemoveEmptySpaceBetweenRows(java.lang.Boolean isRemoveEmptySpaceBetweenRows)

    - #### isWhitePageBackground

          public java.lang.Boolean isWhitePageBackground()

      Description copied from interface: `HtmlReportConfiguration`
      Returns a boolean value specifying whether the report background should be white. If this parameter is not set, the default background will appear, depending on the selected CSS styles.
      Specified by:
        `isWhitePageBackground` in interface `HtmlReportConfiguration`
      See Also:
        `HtmlReportConfiguration.PROPERTY_WHITE_PAGE_BACKGROUND`

    - #### setWhitePageBackground

          public void setWhitePageBackground(java.lang.Boolean isWhitePageBackground)

    - #### isWrapBreakWord

          public java.lang.Boolean isWrapBreakWord()

      Description copied from interface: `HtmlReportConfiguration`
      Returns a boolean value specifying whether the export engine should use force wrapping by breaking words (CSS `word-wrap: break-word`).

      Note that this CSS property is not currently supported by all browsers. An alternative approach for forcing word breaks in HTML is to save the line breaks at fill time via the `JRTextElement.PROPERTY_SAVE_LINE_BREAKS` property.

      Specified by:
        `isWrapBreakWord` in interface `HtmlReportConfiguration`
      See Also:
        `HtmlReportConfiguration.PROPERTY_WRAP_BREAK_WORD`

    - #### setWrapBreakWord

          public void setWrapBreakWord(java.lang.Boolean isWrapBreakWord)

    - #### getSizeUnit

          public HtmlSizeUnitEnum getSizeUnit()

      Description copied from interface: `HtmlReportConfiguration`
      Returns a String value specifying the unit to use when measuring lengths or font size. This can be one of the supported size units from the CSS specifications like "px" for pixels or "pt" for points. The default value is "px", meaning that lengths and font sizes are specified in pixels.
      Specified by:
        `getSizeUnit` in interface `HtmlReportConfiguration`
      See Also:
        `HtmlReportConfiguration.PROPERTY_SIZE_UNIT`

    - #### setSizeUnit

          public void setSizeUnit(HtmlSizeUnitEnum sizeUnit)

    - #### getBorderCollapse

          public java.lang.String getBorderCollapse()

      Description copied from interface: `HtmlReportConfiguration`
      Provides the value for the `border-collapse` CSS property to be applied to the table generated for the report.
      Specified by:
        `getBorderCollapse` in interface `HtmlReportConfiguration`
      See Also:
        `HtmlReportConfiguration.PROPERTY_BORDER_COLLAPSE`

    - #### setBorderCollapse

          public void setBorderCollapse(java.lang.String borderCollapse)

    - #### isIgnorePageMargins

          public java.lang.Boolean isIgnorePageMargins()

      Description copied from interface: `HtmlReportConfiguration`
      Indicates whether page margins should be ignored when the report is exported using a grid-based exporter

      If set to `true`, any page in the document will be exported without taking into account its margins.

      Specified by:
        `isIgnorePageMargins` in interface `HtmlReportConfiguration`
      See Also:
        `ReportExportConfiguration.PROPERTY_IGNORE_PAGE_MARGINS`

    - #### setIgnorePageMargins

          public void setIgnorePageMargins(java.lang.Boolean isIgnorePageMargins)

    - #### isAccessibleHtml

          public java.lang.Boolean isAccessibleHtml()

      Description copied from interface: `HtmlReportConfiguration`
      Configuration setting that determines the exporter to produce accessible HTML.
      Specified by:
        `isAccessibleHtml` in interface `HtmlReportConfiguration`
      See Also:
        `HtmlReportConfiguration.PROPERTY_ACCESSIBLE`

    - #### setAccessibleHtml

          public void setAccessibleHtml(java.lang.Boolean accessibleHtml)

    - #### getZoomRatio

          public java.lang.Float getZoomRatio()

      Description copied from interface: `HtmlReportConfiguration`
      The zoom ratio used for the export. The default value is 1.
      Specified by:
        `getZoomRatio` in interface `HtmlReportConfiguration`

    - #### setZoomRatio

          public void setZoomRatio(java.lang.Float zoomRatio)

    - #### isIgnoreHyperlink

          public java.lang.Boolean isIgnoreHyperlink()

      Specified by:
        `isIgnoreHyperlink` in interface `HtmlReportConfiguration`
      See Also:
        `HtmlReportConfiguration.PROPERTY_IGNORE_HYPERLINK`

    - #### setIgnoreHyperlink

          public void setIgnoreHyperlink(java.lang.Boolean isIgnoreHyperlink)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com